Mail archive
alpine-aports

[alpine-aports] [PATCH] 3.1-stable/main/postgresql: security upgrade 9.3.10 (CVE-2015-5288, CVE-2015-5289)

From: Christian Kampka <christian_at_kampka.net>
Date: Mon, 30 Nov 2015 22:18:19 +0100

fixes #4782
---
 main/postgresql/APKBUILD | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/main/postgresql/APKBUILD b/main/postgresql/APKBUILD
index af60dc4..9ef257e 100644
--- a/main/postgresql/APKBUILD
+++ b/main/postgresql/APKBUILD
_at_@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=postgresql
-pkgver=9.3.7
+pkgver=9.3.10
 pkgrel=0
 pkgdesc="A sophisticated object-relational DBMS"
 url="http://www.postgresql.org/"
_at_@ -58,7 +58,7 @@ package() {
 	install -D -m755 "$srcdir"/postgresql.initd \
 		"$pkgdir"/etc/init.d/postgresql || return 1
 	install -D -m644 "$srcdir"/postgresql.confd \
-		"$pkgdir"/etc/conf.d/postgresql || return 1 
+		"$pkgdir"/etc/conf.d/postgresql || return 1
 	install -D -m755 "$srcdir"/pg-restore.initd \
 		"$pkgdir"/etc/init.d/pg-restore || return 1
 	install -D -m644 "$srcdir"/pg-restore.confd \
_at_@ -86,19 +86,19 @@ contrib() {
 	make DESTDIR="$subpkgdir" -C contrib install || return 1
 }
 
-md5sums="662c0d7f0ec5ffcb1a9af5c83f41d0a2  postgresql-9.3.7.tar.bz2
+md5sums="ec2365548d08f69c8023eddd4f2d1a28  postgresql-9.3.10.tar.bz2
 00f0fc07fb8447f7e174c4cee0661722  initdb.patch
 901e76a1b9eedd08893f1aee23637f16  postgresql.initd
 9741f3d5f0611ce39f85f70f2cab2b00  postgresql.confd
 d2a51db4436e550d56bb1e96699faef4  pg-restore.initd
 bf45384752b320b369f1425939763178  pg-restore.confd"
-sha256sums="8b746ab3f7e84db9ba0c9fa0d9865f458fe4e43d5ae1d4ff2860db1f5204ff3d  postgresql-9.3.7.tar.bz2
+sha256sums="e5444f0f76aff98a251400b7c28bc361d65e3d72d8d6cb9bb5d8361a69541531  postgresql-9.3.10.tar.bz2
 36a65229bf31b20a95ff2e2cac1a6ece0c61afdcd0b544759ad12f34d1b98a39  initdb.patch
 c173ffd6c3ce4348fdcee8c8511a2e09af3bed350a3cdef6cadc1700e79063b4  postgresql.initd
 7fd24959d5fa49b1405cb94438665f060335266ea20224f234c6bcb5dce3403b  postgresql.confd
 d73701e9a5fff2d7088ee50d7c7fc8a2fa19f651237d8b880c579e0e09515609  pg-restore.initd
 31414d8b57c4cd2116b6014de3f1329875151910753fbd616daec4554866d02f  pg-restore.confd"
-sha512sums="c7291484dac7a943d381bfd49cdcd841212fd031211416ab234bdf7b50cb9ef00d22c4d4ad62c4289a3a216b93cabb153c3e83f5408eed5fd395c136bde74e4d  postgresql-9.3.7.tar.bz2
+sha512sums="6b048fd1d0b38f72bab6ea70e40f10e7b805b94fc4c6fd865e0ec5e86da3c54043f20059dbf716d29eb4ca787dc50da561b1c7b48ab9f3096ebc651300855672  postgresql-9.3.10.tar.bz2
 6f7fdceb1a5aba3f00894ae88afdf25e5f9c7a0ffc00b11211011a6415ea73639d6a67f516cab66c6487484bab26ded3c93471d6d41ac0d3822926c22274f2ba  initdb.patch
 861e4f5091cb2b3c80ce0afddb09275ed7e130c717235cdb7a3e58599424f13c11855e158e584b7342df18d47f7a7d71e945b8899337f82a3ea814a11fff39c0  postgresql.initd
 17f0a81cc06a76aeadd0b1bd14cffffee2c64405615ef13895403e854569f936b295c54786d2c5aa84dc617edb615257c05a8e04185151f88a4e762eb7e67844  postgresql.confd
-- 
2.6.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 30 2015 - 22:18:19 GMT